package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.OrderRepairDetail;


/**
*  service接口类
*/
public interface OrderRepairDetailService{

    List<OrderRepairDetail> getOrderRepairDetailList(OrderRepairDetail record);

    List<OrderRepairDetail> getOrderRepairDetailByPage(Page page, OrderRepairDetail record);

    OrderRepairDetail getOrderRepairDetailById(String id);

    OrderRepairDetail getOrderRepairDetail(OrderRepairDetail record);

    boolean createOrderRepairDetail(OrderRepairDetail record);

    boolean deleteOrderRepairDetail(String id);

    boolean updateOrderRepairDetail(OrderRepairDetail record);

    List<OrderRepairDetail> getOrderRepairDetailExportRemark(OrderRepairDetail record);
}

